Components.utils.import("resource://gre/modules/editorHelper.jsm");

function Startup()
{
  GetUIElements();
//@line 7 "/build/bluegriffon/src/mozilla-central-f14898695ee0/bluegriffon/base/content/bluegriffon/dialogs/insertHTML.js"
  CenterDialogOnOpener();
//@line 9 "/build/bluegriffon/src/mozilla-central-f14898695ee0/bluegriffon/base/content/bluegriffon/dialogs/insertHTML.js"
}

function onAccept()
{
  var editor = EditorUtils.getCurrentEditor();

  editor.beginTransaction();
  editor.insertHTML(gDialog.htmlTextbox.value);
  window.opener.MakePhpAndCommentsVisible(EditorUtils.getCurrentDocument());
  editor.endTransaction();

  return true;
}
